Company logoTrust Center Documentation
API v1 ReferenceVariantsIdOptions

Create a variant option

Create a new option under the given variant. Browse request parameters, authentication requirements, response payloads, and working code samples in the Orbiq…

POST
/api/v1/variants/{id}/options

Create a new option under the given variant.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/variants/var-123/options" \  -H "Content-Type: application/json" \  -d '{    "title": "FinTech",    "slug": "fintech",    "enabled": true,    "translations": [      {        "languages_code": "en-US",        "title": "FinTech"      },      {        "languages_code": "de-DE",        "title": "FinTech"      }    ]  }'
{
  "success": true,
  "data": {
    "option": {
      "id": "string",
      "title": "string",
      "slug": "string",
      "enabled": true,
      "order": 0,
      "translations": [
        {
          "id": "string",
          "languages_code": "en-US",
          "title": "string"
        }
      ]
    }
  }
}
{
  "error": "string"
}
Empty
Empty
{
  "error": "slug_already_exists"
}
Empty

How is this guide?